Page MenuHomePhabricator

Provide CONTENTS
Closed, ResolvedPublic

Description

CONTENTS provides an overview of all included bots. This should probably be merged with the general docs on WM.org.


Version: core-(2.0)
Severity: normal

Details

Reference
bz64847

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64847.
bzimport added a subscriber: Unknown Object (????).

These short descriptions are quite useful.

What about copying this to core as pywikibot/README.rst and scripts/README.rst , and have a test that verifies all py files are mentioned in the appropriate file.

Or copy these one line descriptions into the docstrings of each file, if it is better.

Mpaa added a subscriber: Mpaa.
valhallasw triaged this task as Low priority.Jan 29 2015, 9:56 PM

Sounds good! One issue with docstrings is that most people don't realize .py files can be opened and inspected for documentation, so providing it as a seperate README is helpful.

jayvdb added a subscriber: droid.

Adding this to @droid 's Pywikibot-compat-to-core project , as it is something else that should be migrated from compat to core.

Change 202016 had a related patch set uploaded (by Prianka):
Providing CONTENTS in pywikibot-core.

https://gerrit.wikimedia.org/r/202016

droid added a comment.Apr 6 2015, 3:30 PM

I agree we should split it two files README.rst as specified, but that shall change the present formatting of the existing file README.rst. Is that fine ? if so I shall do for the same.

jayvdb added a comment.Apr 6 2015, 3:34 PM

I agree we should split it two files README.rst as specified, but that shall change the present formatting of the existing file README.rst. Is that fine ? if so I shall do for the same.

There is no existing files pywikibot/README.rst or scripts/README.rst

droid added a comment.Apr 6 2015, 8:15 PM

Where shall I add README and config files , Directories ?
Should I format the existing README.rst file in pywikibot-core to add these ?

jayvdb added a comment.Apr 8 2015, 9:17 PM

Split it into two files, pywikibot/README.rst and scripts/README.rst .
Ensure they are formatted as RST files (restructured text)

Change 202016 merged by jenkins-bot:
Providing README.rst in scripts and pywikibot.

https://gerrit.wikimedia.org/r/202016

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2016, 11:17 AM
jayvdb closed this task as Resolved.Jul 12 2016, 6:09 AM
jayvdb assigned this task to droid.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 12 2016, 6:09 AM